plugins {
    id 'java'
    id 'idea'
}

tasks.withType(JavaCompile) {
    options.compilerArgs << '-Xlint:none'
    options.compilerArgs << '-Xlint:deprecation' << "-Werror"
}

repositories {
    mavenCentral()

}
project(':control-proxy-backend') {
    repositories {
        mavenLocal()
        mavenCentral()
        maven { url 'https://maven.aliyun.com/repository/public' }
    }
}
project(':datanet-search-engine-backend') {
    repositories {
        mavenLocal()
        mavenCentral()
        maven { url 'https://maven.aliyun.com/repository/public' }
    }
}
project(':iod-repo-backend') {
    repositories {
        mavenLocal()
        mavenCentral()
        maven { url 'https://maven.aliyun.com/repository/public' }
    }
}